Subject: bug#52332: 29.0.50; Invisible button in the mode line

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Dec 2021 14:21:12 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  Protesilaos Stavrou <[email-masked]>
> Date: Tue, 21 Dec 2021 06:32:23 +0100
> 
> By the way, I wanted to mention -- while poking at this stuff, I noticed
> that apparently the mode line is redisplayed multiple times when doing
> some common things.
> 
> For instance, hitting page-down seems to render the mode line twice?
> Mouse-clicking something also renders it twice.  Hm...  oh, it renders
> once on mouse-down and once on mouse-up, so I guess that's OK.  So I
> guess the only mysterious one is the page-down/page-up double render.

This is normal.  Scrolling commands first see if point is inside the
window, and that requires redisplay of the mode line (because its
spec could have changed in the meanwhile).  Then the scrolling
commands determine the appropriate window-start point, and then
redisplay kicks in with the second update of the mode line.